Opened 5 years ago

Closed 5 years ago

#11450 closed defect (duplicate)

Can't tell which TBB I'm using!!!!

Reported by: Cypherpunks Owned by: erinn
Priority: Medium Milestone:
Component: Applications/Tor bundles/installation Version:
Severity: Keywords: tbb-usability
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

With all the upgrades necessary, and with some beta testing thrown in, it becomes a problem sometimes to remember which version of TBB is installed.

A visit to Help -> About TorBrowser should provide the detail, but it only says what FF ESR TBB is based on.

About Torbutton in no help either, it only indicates which Torbutton is installed.

How difficult would it be to start indicating <TBB version> based on <FF ESR version>?

Including a Tor logo as new default (or at least combined in there with the FF logo) would be pretty too :)

This will also help in reporting bugs!

Listing as defect because it really is information that should be available.

Child Tickets

Change History (4)

comment:1 Changed 5 years ago by gk

But you always start with an about:tor page showing you that you are using Tor, right? There should be a version string in the upper right corner of that page saying something like

Tor Browser
3.6-beta-1-Linux

.

comment:2 Changed 5 years ago by gk

Component: Quality Assurance and TestingTor bundles/installation
Keywords: tbb-usability added
Owner: changed from cypherpunks to erinn

comment:3 Changed 5 years ago by Cypherpunks

That helps a lot for future reference, I hadn't thought to refer to that. Thanks.

Still and all, I've always though it should be at the About TorBrowser place in Help, because that is where it is on what seems like most other programs, not just browsers.

comment:4 Changed 5 years ago by gk

Resolution: duplicate
Status: newclosed

Yeah, that is a valid enhancement request and a duplicate of #10403.

Note: See TracTickets for help on using tickets.